package com.persagy.proxy.adm.constant;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName DtTypeEnum
 * @Description: 数据中台类型定义
 * @Author linhuili
 * @Date 2021/8/9 16:07
 * @Version V1.0
 **/
public enum AdmDictCategoryEnum {
    PROJECT("project", "项目"),
    BUILDING("building", "建筑"),
    FLOOR("floor", "楼层"),
    EQUIPMENT("equipment", "设备"),
    COMPONENT("component", "组件"),
    SYSTEM("system", "系统"),
    MAJOR("major", "专业"),
    SPACE("space", "空间"),
    PROPRTY("property", "资产"),
    EQUIPMENT_AND_COMPONENT("equipmentAndComponent", "设备和部件"),

    MAJOR_SYSTEM("majorSystem", "专业下的系统"),
    SYSTEM_EQUIP("systemEquip", "系统下的设备类"),
    MAJOR_SYSTEM_EQUIP("majorSystemEquip", "专业下的系统，系统下的设备"),

    EQUIPMENT_COMPONENT("equipmentComponent", "设备类型以及对应的部件"),
    MAJOR_EQUIPMENT("majorEquipment", "专业下的设备类");

    private String value;
    private String desc;

    AdmDictCategoryEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
